
QGIS Application - Bug report #16326

QGIS segfault when pointing to libjpeg/jdapimin

2017-03-08 10:11 AM - Spencer Gardner

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:2.18.4 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24236

Description

This is a persistent issue on Ubuntu identified while using the QuickMapServices (QMS) add-on. QGIS crashes with a segfault upon

mouseover on the QMS menu. Crash dumps indicate an issue with pointing to libjpeg/jdapimin. NextGIS folks (developers of QMS

plugin) have indicated this is an issue with QGIS and not related to the plugin itself. See related bug report:

https://github.com/nextgis/quickmapservices/issues/51

Steps to reproduce:

    1. Enable additional service providers in QMS settings

    2. Navigate to Web -> QuickMapServices

What happens:

QGIS crashes immediately

What should happen:

QMS menu should open

History

#1 - 2017-03-10 07:01 AM - Matthias Kuhn

- Status changed from Open to Feedback

Which packages did you install?

Given that this

a) only surfaces with a plugin and 

b) only affects one system

makes it very unlikely that this report in here will help to fix the problem (sorry).

Better figure out with the developers of the plugin.

#2 - 2017-03-10 07:28 AM - Giovanni Manghi

- Priority changed from Normal to High

Why the "c++ plugin" category?
https://github.com/nextgis/quickmapservices/issues/51


#3 - 2017-03-10 08:34 AM - Spencer Gardner

The problem appears to be related to the QMS plugin so I'm assuming it has something to do with the plugin framework. I had assumed it was a C++

plugin, but now that I look at the source it is actually a Python plugin. Sorry for the mixup.

#4 - 2017-04-11 10:46 PM - Jürgen Fischer

- Subject changed from QGIS segfauit when pointing to libjpeg/jdapimin to QGIS segfault when pointing to libjpeg/jdapimin

#5 - 2017-04-12 01:56 AM - Jürgen Fischer

A backtrace (bt in gdb) might be helpful - you were almost there in the nextgis ticket...

#6 - 2017-04-12 08:51 AM - Spencer Gardner

I'm having some trouble with gdb. Now when I replicate the crash in gdb everything freezes. Not sure if it's a kernel panic or what might be going on. Or

perhaps it's just stuck because the crash dump is large? I'm not too handy with gdb. Perhaps I can get around the issue by generating a core dump and

then analyzing, but I'm not even sure how to do that. Any advice is appreciated.

#7 - 2017-04-12 03:05 PM - Jürgen Fischer

Spencer Gardner wrote:

I'm having some trouble with gdb. Now when I replicate the crash in gdb everything freezes. Not sure if it's a kernel panic or what might be going on.

Or perhaps it's just stuck because the crash dump is large? I'm not too handy with gdb. Perhaps I can get around the issue by generating a core

dump and then analyzing, but I'm not even sure how to do that. Any advice is appreciated.

See https://www.qgis.org/en/site/getinvolved/development/bugreporting.html#creating-a-backtrace

#8 - 2017-04-12 06:38 PM - Spencer Gardner

- File qgis.backtrace added

OK. I'm still getting weird kernel panic when using qgis with gdb directly, but I was able to produce a core dump thanks to your link and then run it through

gdb. I've attached the results of the backtrace. I hope this helps.

#9 - 2017-04-29 05:11 AM - Giovanni Manghi

- Category changed from C++ Plugins to Python plugins

- Status changed from Feedback to Open

I'm on the same platform and platform version. No issues at all with QGIS 2.18.7.

Please try again, not before having first disabled/removed all other 3rd party plugins or even better by wiping .qgis2.

#10 - 2017-04-29 07:22 AM - Spencer Gardner
https://www.qgis.org/en/site/getinvolved/development/bugreporting.html#creating-a-backtrace


Just tried with a fresh .qgis2 and still crashes. Did you test after adding the additional WMS providers via 

Web -> QuickMapServices -> Settings -> More Services -> Get contributed pack

Everything works fine for me until I enable the additional providers.

#11 - 2017-04-29 11:33 AM - Giovanni Manghi

- Status changed from Open to Feedback

Spencer Gardner wrote:

Just tried with a fresh .qgis2 and still crashes. Did you test after adding the additional WMS providers via 

Web -> QuickMapServices -> Settings -> More Services -> Get contributed pack

yes I tried, on 3 different platforms, including Ubuntu 16.04. It all points to a local issue.

#12 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#13 - 2017-05-12 07:51 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Description updated

- Resolution set to not reproducable

Cannot be replicated also by many others on may different platforms and qgis versions. All points to a local issue... if anyway you find a clear way to

replicate on any system please reopen.

Files

qgis.backtrace 4.57 KB 2017-04-12 Spencer Gardner
